// Insert.h: interface for the CInsert class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_INSERT_H__30575E3B_321A_4F48_9DC3_3248FC7CF6E0__INCLUDED_)
#define AFX_INSERT_H__30575E3B_321A_4F48_9DC3_3248FC7CF6E0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "PatchOperation.h"

class CInsert : public CPatchOperation  
{
DWORD SourceLoc;
public:
	CInsert(DWORD loc,DWORD sze,DWORD sloc) {Location=loc; Size=sze; SourceLoc=sloc;}
	CString GetOpText() {CString str; str.Format("Insert %7i Bytes at %7i From %7i\n",Size,Location,SourceLoc); return str;}
	DWORD InsertedBytes() {return Size;}
	DWORD DeletedBytes() {return 0;}
	virtual ~CInsert();

};

#endif // !defined(AFX_INSERT_H__30575E3B_321A_4F48_9DC3_3248FC7CF6E0__INCLUDED_)
